/* Classe Utility: contiene metodi utili per la scrittura dei file */
import java.io.*;
import java.util.*;
import javax.swing.*;

public class Utility {

/* Rende i nomi di tabelle e colonne nomi accettabili per il markup XML */
  public static String correggi(String markup) {
    String corretto="";	
    for(int i=0;i<markup.length();++i) {
      char c=markup.charAt(i);
      switch (c) {
      	case '':
	  corretto+="a";
	  break;
	case '':
	case '':
	  corretto+="e";
	  break;
	case '':
	  corretto+="i";
	  break;
	case '':
	  corretto+="o";
	  break;
	case '':
	  corretto+="u";
	  break;
	case '':
	  corretto+="c";
	  break;
	default: {
	  if (c==45 || c==46 || c==95) corretto+=c;
          if (c>=48 && c<=57) corretto+=c;
	  if (c>=65 && c<=90) corretto+=c;
	  if (c>=97 && c<=122) corretto+=c;
  	}
      }
    }
    return corretto;	
  }

 public static void salva(File file,String drv, String url, String usr, 
			      Vector qry, Vector titoli, Vector stili) 
    throws IOException,ClassNotFoundException {
  String nome=file.getName();
  if (!(nome.endsWith(".cfg")) && !(nome.equals("undo"))) { 
    nome+=".cfg";
    file=new File(nome);
  }
  FileOutputStream outFile = new FileOutputStream(file);
  ObjectOutputStream outStream = new ObjectOutputStream(outFile);
  outStream.writeObject(drv);
  outStream.writeObject(url);
  outStream.writeObject(usr);
  outStream.writeObject(qry);
  outStream.writeObject(titoli);
  outStream.writeObject(stili); 
  outStream.close();
  outFile.close();
 }

public static void apri(File file) throws IOException,ClassNotFoundException {
  FileInputStream inFile = new FileInputStream(file);
  ObjectInputStream inStream = new ObjectInputStream(inFile);
  CreaXML.driver.setText(inStream.readObject().toString());
  CreaXML.url.setText(inStream.readObject().toString());
  CreaXML.user.setText(inStream.readObject().toString());
  CreaXML.listaQuery=((Vector) inStream.readObject());
  CreaXML.listaFile=((Vector) inStream.readObject());
  CreaXML.listaStili=((Vector) inStream.readObject());
  inStream.close();
  inFile.close();
}
}
