/* CreaXML - Versione 1.00 - 21 Giugno 2000 */

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;
import javax.swing.text.*;
import java.util.*;
import java.io.*;
import javax.swing.filechooser.*;

/* Oggetti di classe e globali */
public class CreaXML extends JFrame {
  public final static int Refresh= 100;
  public static JProgressBar progressBar;
  private javax.swing.Timer timer;
  private JButton startButton;
  private JButton sceltaQuery;
  private JButton tastoIndietro;
  private JButton tastoAvanti;
  private JButton tastoUscita;
  private JButton[] tastiC;
  private final Nucleo task=new Nucleo();
  private Vector listaTabelle;
  public static JTextArea taskOutput;
  private JPanel contentPane;
  public static JTextField driver;
  public static JTextField url;
  public static JTextField user;
  public static JPasswordField password;
  public static JTextField[] query;
  public static JTextField[] file;
  public static JLabel[] queryLabel;
  public static JComboBox[] stile;
  public static Vector listaQuery=new Vector();
  public static Vector listaFile=new Vector();
  public static Vector listaStili=new Vector();
  public final JFileChooser fc = new JFileChooser();
  public final JFileChooser fc2=new JFileChooser();
  public static JCheckBoxMenuItem css=new JCheckBoxMenuItem("Generazione dei fogli di stile CSS");
  public static JCheckBoxMenuItem pagIndice=
                new JCheckBoxMenuItem("Generazione della pagina indice");
  private int base=0;
  private boolean cambiata=false;
  public static String path="";
  private final String separatore = System.getProperty("file.separator");

  /* Interfaccia utente */
  public CreaXML() {
    super("CreaXML");
    JMenuBar menuBar = new JMenuBar();
    JMenu fileMenu = new JMenu("File");
    JMenuItem fileNew = new JMenuItem("Nuovo");
    JMenuItem fileOpen = new JMenuItem("Apri");
    JMenuItem fileSave = new JMenuItem("Salva");
    JMenuItem fileExit = new JMenuItem("Esci");
    JMenu editMenu = new JMenu("Edit");
    JMenuItem annulla=new JMenuItem("Annulla");
    JMenu specialeMenu=new JMenu("Opzioni Avanzate");
    JMenuItem directory=new JMenuItem("Scelta della directory");  
    query=new JTextField[5];
    file=new JTextField[5];
    queryLabel=new JLabel[5];
    JPanel riga[]=new JPanel[5];
    stile=new JComboBox[5];
    tastiC=new JButton[5];
    for (int i=0;i<5;i++) {
      riga[i]=new JPanel();
      query[i]=new JTextField(17);
      file[i]=new JTextField(10);
      queryLabel[i]=new JLabel("Query "+(i+1)+": ");
      stile[i]=new JComboBox();
      stile[i].addItem(" ");
      stile[i].addItem("Tabella");
      stile[i].addItem("Pagina");
      stile[i].addItem("Lista");
      tastiC[i]=new JButton("C");
      tastiC[i].addActionListener(new ButtonListener());
      tastiC[i].setToolTipText("Cancella la query "+(i+1));
      tastiC[i].setActionCommand("C"+i);
      tastiC[i].setForeground(Color.red);
    }
    startButton = new JButton("Vai!");
    startButton.setActionCommand("start");
    startButton.addActionListener(new ButtonListener());
    startButton.setToolTipText("Genera i file XML a partire dalle query");
    sceltaQuery = new JButton("Scelta Query");
    sceltaQuery.setActionCommand("scelta");
    sceltaQuery.addActionListener(new ButtonListener());
    sceltaQuery.setToolTipText("Ricava dal DB le query: SELECT * FROM tabella");
    tastoIndietro = new JButton("<<<");
    tastoIndietro.setActionCommand("indietro");
    tastoIndietro.addActionListener(new ButtonListener());
    tastoIndietro.setEnabled(false);
    tastoIndietro.setToolTipText("Visualizza le 5 query precedenti");
    tastoAvanti = new JButton(">>>");
    tastoAvanti.setActionCommand("avanti");
    tastoAvanti.addActionListener(new ButtonListener());
    tastoAvanti.setToolTipText("Visualizza le 5 query successive");
    tastoUscita = new JButton("Esci");
    tastoUscita.setActionCommand("esci");
    tastoUscita.addActionListener(new ButtonListener());
    tastoUscita.setToolTipText("Chiude l\'applicazione");
    tastoUscita.setForeground(Color.red);
    progressBar = new JProgressBar(0, task.getLengthOfTask());
    progressBar.setValue(0);
    progressBar.setStringPainted(true);
    progressBar.setToolTipText("Avanzamento nella scrittura dei file");
    taskOutput = new JTextArea(6, 30);
    taskOutput.setMargin(new Insets(5,5,5,5));
    taskOutput.setLineWrap(true);
    taskOutput.setWrapStyleWord(true);
    taskOutput.setEditable(false);
    driver=new JTextField("sun.jdbc.odbc.JdbcOdbcDriver",21);
    url=new JTextField("jdbc:odbc:Esempio",21);
    user=new JTextField(10);
    password=new JPasswordField(10);
    Box b=Box.createVerticalBox();
    Box b1=Box.createVerticalBox();
    Box b2=Box.createVerticalBox();
    JPanel driverPanel=new JPanel();
    JPanel userPanel=new JPanel();
    driverPanel.add(new JLabel("Driver:"));
    driverPanel.add(driver);
    driverPanel.add(new JLabel("  Url:"));
    driverPanel.add(url);
    b1.add(driverPanel);
    Border bordo1=BorderFactory.createEtchedBorder();
    userPanel.add(new JLabel("Nome utente:"));
    userPanel.add(user);
    userPanel.add(new JLabel("  Password:"));
    userPanel.add(password);
    b1.add(userPanel);
    JPanel panel1=new JPanel();
    panel1.add(b1);
    JPanel panel=new JPanel();
    panel.add(sceltaQuery);
    panel.add(tastoIndietro);
    panel.add(tastoAvanti);
    panel.add(startButton);
    panel.add(progressBar);
    panel.add(tastoUscita);
    Border titoloBordo1=BorderFactory.createTitledBorder(bordo1,"Connessione");
    panel1.setBorder(titoloBordo1);
    b2.add(panel);
    b.add(panel1);
    b.add(b2);
    Box b3=Box.createVerticalBox();
    for (int i=0;i<5;i++) {
      riga[i].add(queryLabel[i]);
      riga[i].add(query[i]);
      riga[i].add(new JLabel(" File: "));
      riga[i].add(file[i]);
      riga[i].add(new JLabel(" Stile: "));
      riga[i].add(stile[i]);
      riga[i].add(tastiC[i]);
      b3.add(riga[i]);
    }
    JPanel panel3=new JPanel();
    panel3.add(b3);
    Border bordo3=BorderFactory.createEtchedBorder();
    Border titoloBordo3=
    BorderFactory.createTitledBorder(bordo3,"Scelta delle query da trasformare in file XML");
    panel3.setBorder(titoloBordo3);
    JPanel output=new JPanel();
    output.setLayout(new BorderLayout());
    output.add(new JLabel("Finestra output",JLabel.CENTER),BorderLayout.NORTH);
    output.add(new JScrollPane(taskOutput),BorderLayout.SOUTH);
    contentPane = new JPanel();
    contentPane.setLayout(new BorderLayout());
    contentPane.add(b, BorderLayout.NORTH);
    contentPane.add(panel3, BorderLayout.CENTER);
    contentPane.add(output, BorderLayout.SOUTH);
    contentPane.setBorder(BorderFactory.createEmptyBorder(20, 20, 20, 20));
    setContentPane(contentPane);

/* Supporto per il copia-incolla */
    DefaultEditorKit.CopyAction copia=new DefaultEditorKit.CopyAction();
    DefaultEditorKit.PasteAction incolla=new DefaultEditorKit.PasteAction();
    DefaultEditorKit.CutAction taglia=new DefaultEditorKit.CutAction();
   
/* Definizione del menu */ 
    fileMenu.add(fileNew); 
    fileMenu.add(fileOpen); 
    fileMenu.add(fileSave);
    fileMenu.addSeparator(); 
    fileMenu.add(fileExit); 
    JMenuItem menuCopia=editMenu.add(copia); 
    menuCopia.setText("Copia");
    JMenuItem menuIncolla=editMenu.add(incolla);
    menuIncolla.setText("Incolla"); 
    JMenuItem menuTaglia=editMenu.add(taglia);
    menuTaglia.setText("Taglia"); 
    editMenu.addSeparator();
    editMenu.add(annulla);
    specialeMenu.add(css);
    specialeMenu.add(pagIndice);
    specialeMenu.addSeparator();
    specialeMenu.add(directory);
    menuBar.add(fileMenu);
    menuBar.add(editMenu);
    menuBar.add(specialeMenu);
    setJMenuBar(menuBar);
    fileNew.addActionListener(new MenuItemHandler());
    fileOpen.addActionListener(new MenuItemHandler());
    fileSave.addActionListener(new MenuItemHandler());
    fileExit.addActionListener(new MenuItemHandler());
    annulla.addActionListener(new MenuItemHandler());
    directory.addActionListener(new MenuItemHandler());

/* Definizione dell'interfaccia per la scelta dei file */ 
    fc.setCurrentDirectory(new File("."));
    fc.addChoosableFileFilter(new FiltroCfg());
    fc.setFileHidingEnabled(false);

/* Definizione dell'interfaccia per la scelta della directory di salvatagio */
    fc2.setCurrentDirectory(new File("."));
    fc2.addChoosableFileFilter(new FiltroDir());
    fc2.setFileSelectionMode(JFileChooser.DIRECTORIES_ONLY);
    fc2.setFileHidingEnabled(false);
  

    /* Timer: consente l'interazione in real time con il nucleo dell'applicazione */
    timer = new javax.swing.Timer(Refresh, new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        progressBar.setValue(task.getCurrent());
        if (task.done()) {
          Toolkit.getDefaultToolkit().beep();
          timer.stop();
          sblocca();
          if (task.fallimento) progressBar.setValue(progressBar.getMinimum());
        }
      }
    });
  }
 
  /* Ascoltatore per la pressione del bottone */
  class ButtonListener implements ActionListener {
    public void actionPerformed(ActionEvent evt) {
      String comando=evt.getActionCommand();
      if (comando.equals("start")) {
        memorizza();
        if (listaFile.size()==0) taskOutput.append("Devi prima impostare almeno una query.\n");
        else {
          blocca();
          progressBar.setValue(progressBar.getMinimum());
          task.go();
          timer.start();
          if (cambiata) {
            try { 
            copia();
            taskOutput.append("I file grafici sono stati copiati.\n");
            cambiata=false;
          }
           catch(IOException e) {
      taskOutput.append("Errore: "+e+" di I/O\n");      
            }
          }
        }
      }
      if (comando.equals("scelta")) prepara();
      if (comando.equals("avanti")) {
        if (riempito()) avanti();
        else taskOutput.append("Devi prima impostare fino alla query "+(base+5)+".\n");
      }
      if (comando.equals("indietro")) indietro();
      if (comando.equals("esci")) System.exit(0);
      for (int i=0;i<5;i++) {
        if (comando.equals("C"+i)) cancella(i+base);
      }
    }
  }

  /* Ascoltatore per la chiusura della finestra */
  public static void main(String[] args) {
    JFrame frame = new CreaXML();
    frame.addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(0);
      }
    });
    frame.pack();
    frame.setVisible(true);
  }

/* Ascoltatore per il menu */
  public class MenuItemHandler implements ActionListener {
    public void actionPerformed(ActionEvent e)  {
      String cmd = e.getActionCommand();
      if(cmd.equals("Esci")) System.exit(0);
      if(cmd.equals("Nuovo")) resetta();
      if(cmd.equals("Salva")) {
        memorizza();
        int returnVal = fc.showSaveDialog(CreaXML.this);
        if (returnVal==JFileChooser.APPROVE_OPTION) {
          File file=fc.getSelectedFile();
          try {
            Utility.salva(file,driver.getText(),url.getText(),user.getText(),listaQuery,listaFile,listaStili);
          }    
          catch (IOException e1) {
      taskOutput.append(e1.toString()+"\n");
         }
          catch (ClassNotFoundException e2) {      
      taskOutput.append(e2.toString()+"\n");
         }
        }
      }
      if(cmd.equals("Apri")) { 
        memorizza();
        int returnVal = fc.showOpenDialog(CreaXML.this);
        if (returnVal==JFileChooser.APPROVE_OPTION) {
	    File file=fc.getSelectedFile();
          try {
            Utility.apri(file);
          }
          catch (IOException e1) {
      taskOutput.append(e1.toString()+"\n");

         }
          catch (ClassNotFoundException e2) {      
      taskOutput.append(e2.toString()+"\n");
        } 
          base=0;
          aggiorna();
        }
      }
      if (cmd.equals("Annulla")) {
        try {
          Utility.apri(new File("undo"));
        }
              catch (IOException e1) {
      taskOutput.append(e1.toString()+"\n");

         }
          catch (ClassNotFoundException e2) {      
      taskOutput.append(e2.toString()+"\n");
       }
        aggiorna();
      }  
      if (cmd.equals("Scelta della directory")) {
        memorizza();
        int returnVal = fc2.showOpenDialog(CreaXML.this);
        if (returnVal==JFileChooser.APPROVE_OPTION) {
	    File file=fc2.getSelectedFile();

            cambiata=true;
            path=file.getPath();
            path+=separatore;
            taskOutput.append("La nuova directory di lavoro : "+path+"\n");
        }
      }  
    }
  }

  /* Disabilita i bottoni durante la scrittura dei file */
  void blocca() {
    startButton.setEnabled(false);
    contentPane.setCursor(Cursor.getPredefinedCursor(Cursor.WAIT_CURSOR));
  }

  /* Riabilita i bottoni al termine della scrittura dei file */
  void sblocca() {
    startButton.setEnabled(true);
    if (base==0) tastoIndietro.setEnabled(false);
    else tastoIndietro.setEnabled(true);
    contentPane.setCursor(Cursor.getDefaultCursor());
  }

  /* Scrive le query e i file di default negli appositi campi */
  void prepara() {
    base=0;
    String select="SELECT * FROM ";
    listaTabelle=new Vector();
    listaQuery=new Vector();
    listaFile=new Vector();
    listaStili=new Vector();
    String drv=driver.getText();
    String DBurl=url.getText();
    String usr=user.getText();
    listaTabelle=Setup.setupDB(drv,DBurl,usr,password.getPassword());
    String[] lista=new String[listaTabelle.size()];
    listaTabelle.copyInto(lista);
    for (int j=0;j<lista.length;j++) {
      boolean spazi=controlla(lista[j]);
      if (spazi) listaQuery.add(select+"\""+lista[j]+"\"");
      else listaQuery.add(select+lista[j]);
      listaFile.add(lista[j]+".xml");
      listaStili.add("Tabella");
    }
    aggiorna();
    taskOutput.setCaretPosition(taskOutput.getDocument().getLength());
    tastoAvanti.setEnabled(true);
    tastoIndietro.setEnabled(false);
    startButton.setEnabled(true);
  }

  /* Visualizza le 5 query successive */
  void avanti() {
    memorizza();
    base+=5;
    aggiorna();
    tastoIndietro.setEnabled(true);
  }

  /* Visualizza le 5 query precedenti */
  void indietro() {
    memorizza();
    base-=5;
    aggiorna();
    if (base==0) tastoIndietro.setEnabled(false);
  }

  /* Aggiorna i vettori di query e file con i valori inseriti nei campi */
  void memorizza() {
    try {
      Utility.salva(new File("undo"),driver.getText(),url.getText(),user.getText(),listaQuery,listaFile,listaStili);
    }    
    catch (IOException e1) { }
    catch (ClassNotFoundException e2) { }
    int n=listaFile.size();
    for (int j=0;j<5;j++) {
      String nomeFile=file[j].getText().trim();
      if (j+base<n) {
        listaQuery.set(j+base,query[j].getText().trim());
        if (!(nomeFile.endsWith(".xml"))) nomeFile+=".xml";
        listaFile.set(j+base,nomeFile);
        listaStili.set(j+base,stile[j].getSelectedItem().toString());
      }
      else {
        if (!(nomeFile.equals(""))) {
          if (!(nomeFile.endsWith(".xml"))) nomeFile+=".xml";
          listaFile.add(nomeFile);
          listaQuery.add(query[j].getText().trim());
          listaStili.add(stile[j].getSelectedItem().toString());
        }
      }
    }
  }

  /* Visualizza nei campi le query e i file richiesti */
  void aggiorna() {
    for (int j=0;j<5;j++) {
      queryLabel[j].setText("Query "+(j+base+1)+": ");
      tastiC[j].setToolTipText("Cancella la query "+(j+base+1));
      if (j+base<listaFile.size()) {
        query[j].setText(listaQuery.get(j+base).toString());
        file[j].setText(listaFile.get(j+base).toString());
        stile[j].setSelectedItem(listaStili.get(j+base).toString());
      }
      else {
        query[j].setText("");
        file[j].setText("");
        stile[j].setSelectedItem(" ");
      }
    }
  }

  /* Verifica se sono state inserite tutte le query della schermata */
  boolean riempito() {
    boolean impostati=true;
    for (int j=0;j<5;j++) {
      String nomeFile=file[j].getText().trim();

      impostati=(impostati && !(nomeFile.equals("")));
    }
    return (impostati || (listaFile.size()>=base+5));
  }

/* Cancella una query */
  void cancella(int nq) {
    memorizza();
    if (nq>=listaFile.size()) {
      query[nq-base].setText("");
      file[nq-base].setText("");
      stile[nq-base].setSelectedItem(" ");
    }
    else {
      listaQuery.remove(nq);
      listaFile.remove(nq);
      listaStili.remove(nq);
      aggiorna();
    }
  }

/* Controlla se sono presenti spazi nei nomi delle tabelle */
  boolean controlla(String nomeTab) {
    for(int i=0;i<nomeTab.length();i++) {
      if (nomeTab.charAt(i)==' ') return true;
    }
    return false;
  }

/* Cancella tutte le query */
  void resetta() {
    listaQuery.clear();
    listaFile.clear();
    listaStili.clear();
    user.setText("");
    password.setText("");
    base=0;
    aggiorna();  
    tastoIndietro.setEnabled(false);
  }

public static void copia() throws IOException {
        String[] immagini={"first.gif","last.gif","next.gif",
                           "prev.gif","sfondo.jpg","cielo.jpg","16stone.jpg"};
        for (int j=0;j<7;j++) {
	File inputFile = new File(immagini[j]);
	File outputFile = new File(path+immagini[j]);

        FileInputStream in = new FileInputStream(inputFile);
        FileOutputStream out = new FileOutputStream(outputFile);
        int c;

        while ((c = in.read()) != -1)
           out.write(c);

        in.close();
    
    out.close();
    }
    }
} 
